Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class IOValue

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPSDescription
          org.deegree.ogcwebservices.wps.execute.IOValue

    public class IOValue

extends WPSDescription

IOValue.java Created on 24.03.2006. 16:33:24h Value of one input to a process or one output from a process.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author: mschneider $

Nested Class Summary
`static class` | `IOValue.ComplexValueReference` `ComplexValueReference` is simple wrapper class.

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`_abstract, identifier, title`

Constructor Summary
`IOValue(Code identifier, String title, String _abstract, Envelope boundingBoxValue, ComplexValue complexValue, IOValue.ComplexValueReference complexValueReference, TypedLiteral literalValue)`

Method Summary
`Envelope` | `getBoundingBoxValue()`
`ComplexValue` | `getComplexValue()`
`IOValue.ComplexValueReference` | `getComplexValueReference()`
`TypedLiteral` | `getLiteralValue()`
`boolean` | `isBoundingBoxValueType()`
`boolean` | `isComplexValueReferenceType()`
`boolean` | `isComplexValueType()`
`boolean` | `isLiteralValueType()`
`void` | `setBoundingBoxValue(Envelope value)`
`void` | `setComplexValue(ComplexValue value)`
`void` | `setComplexValueReference(IOValue.ComplexValueReference value)`
`void` | `setLiteralValue(TypedLiteral value)`

Methods inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`getAbstract, getIdentifier, getTitle, setAbstract, setIdentifier, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOValue

    public IOValue(Code identifier,
                   String title,
                   String _abstract,
                   Envelope boundingBoxValue,
                   ComplexValue complexValue,
                   IOValue.ComplexValueReference complexValueReference,
                   TypedLiteral literalValue)

Parameters:
  `identifier` -
  `title` -
  `_abstract` -
  `boundingBoxValue` -
  `complexValue` -
  `complexValueReference` -
  `literalValue` -

Method Detail

### getComplexValueReference

    public IOValue.ComplexValueReference getComplexValueReference()

  Returns:
    complexValueReference

### setComplexValueReference

    public void setComplexValueReference(IOValue.ComplexValueReference value)

  Parameters:
    `value` -

### getComplexValue

    public ComplexValue getComplexValue()

  Returns:
    complexValue

### setComplexValue

    public void setComplexValue(ComplexValue value)

  Parameters:
    `value` -

### getLiteralValue

    public TypedLiteral getLiteralValue()

  Returns:
    literalValue

### setLiteralValue

    public void setLiteralValue(TypedLiteral value)

  Parameters:
    `value` -

### getBoundingBoxValue

    public Envelope getBoundingBoxValue()

  Returns:
    boundingBoxValue

### isBoundingBoxValueType

    public boolean isBoundingBoxValueType()

  Returns:
    boundingBoxValueType

### isComplexValueReferenceType

    public boolean isComplexValueReferenceType()

  Returns:
    complexValueReferenceType

### isComplexValueType

    public boolean isComplexValueType()

  Returns:
    true if the value is complex

### isLiteralValueType

    public boolean isLiteralValueType()

  Returns:
    true if the value is a literal

### setBoundingBoxValue

    public void setBoundingBoxValue(Envelope value)

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org